#block-kackaamin-subfooternavigation {
  & ul.menu-level-0 {
    flex: 1 0 auto;
    display: flex;
    flex-direction: column;
    gap: 48px;

    @media (min-width: 768px) {
      flex-direction: row;
      align-items: start;

      & > * {
        flex: 1 0 auto;
      }
    }

    /* Menu title group */
    & > li.menu-item > span {
      color: var(--text-secondary);
      font-size: 18px;
      font-weight: 600;
      line-height: 1.5;
      margin-bottom: 24px;
    }
  }

  & .menu-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    @media (min-width: 768px) {
      align-items: unset;
      text-align: unset;
    }
  }

  & .menu.menu-level-1 {
    display: flex;
    flex-direction: column;
    gap: 12px;
    font-size: 18px;

    & > .menu-item {
      & span {
        font-weight: 600;
        margin-bottom: 4px;
      }

      &:has(.menu_link_content > *) {
        &:not(:first-child) {
          padding-top: 8px;
        }

        &:not(:last-child) {
          padding-bottom: 8px;
        }
      }
    }
  }
}
